import express from "express";
import {
	createInquiry,
	getInquiries,
	getInquiry,
	deleteInquiry,
} from "../controllers/inquiry.controller.js";

import jwtAuthMiddleware from "../middleware/auth.js";

const router = express.Router();

router.post("/", createInquiry);

router.get("/getAll", jwtAuthMiddleware, getInquiries);
router.get("/:id", jwtAuthMiddleware, getInquiry);
router.delete("/:id", jwtAuthMiddleware, deleteInquiry);

export default router;
